/* Fitxer: conio.c - Definicions
   Descripci: Recull per a compiladors gcc d'algunes de les funcions definides 
               en el fitxer conio.h existent en els entorns de programaci 
               Turbo C++,... desenvolupats per l'empresa de programari Borland
			   El tindrem al directori de treball
   Autor: Isidre Guix
*/

#include "conio.h"

void clrscr(void)
{
	printf("\033[2J");
	printf("\033[0;0f");
}

void clreol(void)
{
    printf ("\r\033[K\r");
}

void gotoxy(int x, int y)
{
	printf("\033[%d;%df",y,x);
}

char getch(void) 
{ 
  char c; 
  struct termio param_ant, params; 

  ioctl(STDINFD,TCGETA,&param_ant); 

  params = param_ant; 
  params.c_lflag &= ~(ICANON|ECHO); 
  params.c_cc[4] = 1; 

  ioctl(STDINFD,TCSETA,&params); 

  fflush(stdin); fflush(stderr); fflush(stdout); 
  read(STDINFD,&c,1); 

  ioctl(STDINFD,TCSETA,&param_ant); 
  return c; 
} 

char getche(void) 
{ 
  char c;
  c=getch();
  printf("%c",c);	
  return c; 
}
