/* Programa: errtc01s.c
	Descripci: Soluci a l'error "floating point formats not linked"
					en Turbo C.
	Autor: Isidre Guix
*/

#include <stdio.h>
#include <conio.h>

/* L'error "floating point formats not linked" s un error d'execuci
	de Borland (Borland C/C++ i Turbo C/C++). Aix s motivat per qu
	Borland intenta ser gil i no enllaa les llibreries de punt flotant
	a menys que el programa les necessiti, i resulta que no sempre pren
	la decisi de forma correcta.
	Un dels punts fatdics on aix passa s en la utilitzaci de les
	funcions scanf i printf sobre valors reals, doncs no sempre Borland
	ha enllaat les llibreries de punt flotant.
	Per quan aix succeeixi, hi ha una forma de provocar l'enlla de les
	llibreries de punt flotant, consistent en incorporar la segent defi-
	nici de funci encara que mai se n'efectu la crida.
*/

void forcefloat (float *p)
{
	float f=*p;
	forcefloat (&f);
}

struct xxx
{
	float p;
};

void llegir(struct xxx *px)
{
	printf("Introdueixi valor per al camp p:");
	scanf("%f",&(px->p));
}

void main(void)
{
	struct xxx x;

	clrscr();
	llegir (&x);
	printf ("El valor del camp p s: %g",x.p);
}