/* Fitxer: verscomp-t.c per a Turbo C++

	Descripci: Fitxer per a contenir la definici de les funcions que ens
					permeten compatibilitzar el material dels exercicis entre
					diferents plataformes

	Autor: Isidre Guix

	Conv tenir-ne una cpia amb nom verscomp.c en el directori de treball
*/

#include "verscomp.h"
#include <stdio.h>
#include <dir.h>
#include <dos.h>

void neteja_stdin()
{
	fflush(stdin);
}

void forcefloat (float *p)
{
	float f=*p;
	forcefloat (&f);
}

int existeix_fitxer(const char *nom)
{
	struct ffblk info;
	return findfirst(nom, &info, FA_ARCH);
}

