/* Fitxer: conio.h - Prototipus
   Descripci: Recull per a compiladors gcc d'algunes de les funcions definides 
               en el fitxer conio.h existent en els entorns de programaci 
               Turbo C++,... desenvolupats per l'empresa de programari Borland
			   El podem posar al directori de /usr/include
   Autor: Isidre Guix
*/

#ifndef __CONIO__H__

#define __CONIO__H__
#include <stdio.h> 
#include <stdlib.h> 
#include <unistd.h> 
#include <termio.h> 
#include <sys/ioctl.h> 

#define STDINFD  0 

void clrscr(void);

void clreol(void);

void gotoxy(int x, int y);

char getch(void); 

char getche(void);

#endif
